aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorjjanzen <jjanzen@jjanzen.ca>2025-02-10 17:18:55 -0600
committerjjanzen <jjanzen@jjanzen.ca>2025-02-10 17:18:55 -0600
commitfe329badb98497779764af68fe6da14247fbb3c0 (patch)
tree3d9873983cc22ff8afa9a554a56d160f0c1ea705
parent21622b46b46b49cf0d7f7b17711f776ff2b43f53 (diff)
parent16920ce482c299951477d658e08149975b21ff0d (diff)
Merge branch 'main' into test
-rwxr-xr-xdeploy.sh10
-rwxr-xr-xfix-dotfile-paths.sh2
-rw-r--r--images/false-boar.pngbin0 -> 901657 bytes
-rw-r--r--images/true-boar.pngbin0 -> 1030078 bytes
-rw-r--r--publish.el6
5 files changed, 11 insertions, 7 deletions
diff --git a/deploy.sh b/deploy.sh
index 5ee9db3..4c0e69e 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -x
+
if [ "$1" = "test" ]; then
branch='test'
location='/var/www/html-test'
@@ -21,12 +23,12 @@ git clean -f
git pull
cd ~/dotfiles || exit
-git checkout "$branch"
+git checkout main
git clean -f
git pull
cd ~/blog || exit
-git checkout "$branch"
+git checkout main
git clean -f
git pull
@@ -34,11 +36,13 @@ git pull
cd ~/dotfiles || exit
~/website/fix-dotfile-paths.sh
-cd "$HOME"
+cd "$HOME" || exit
/usr/local/bin/emacs --batch -f package-initialize --script ~/website/publish.el
~/website/post-publish.sh
sed -i 's/) <a href=\"blog\//) <a href=\".\//' ~/public_html/blog/index.html
+sed -i 's/<webMaster>.*<\/webMaster>/<webMaster>jjanzen@jjanzen.ca (jjanzen)<\/webMaster>/g' ~/public_html/rss.xml
+sed -i 's/<author>.*<\/author>/<author>jjanzen@jjanzen.ca (jjanzen)<\/author>/g' ~/public_html/rss.xml
/bin/cp -r "$HOME/public_html"/* "$location"
chown -R apache:apache "$location"
diff --git a/fix-dotfile-paths.sh b/fix-dotfile-paths.sh
index 1ce5147..f804271 100755
--- a/fix-dotfile-paths.sh
+++ b/fix-dotfile-paths.sh
@@ -21,7 +21,7 @@ create_ls_entry () {
mv "$file" "$tmp"
fi
if [ "$file" = ".wallpaper" ]; then
- echo "- [[https://wallhaven.cc/w/83y8ey][=.wallpaper=]]" >> index.org
+ echo "- [[https://wallhaven.cc/w/n66pex][=.wallpaper=]]" >> index.org
elif echo "$file" | grep -q "\.org$" && [ "$file" != "index.org" ]; then
new_file=$(echo "$file" | sed 's/\.org$//')
html=$(echo "$file" | sed 's/\.org$/\.html/')
diff --git a/images/false-boar.png b/images/false-boar.png
new file mode 100644
index 0000000..9293e44
--- /dev/null
+++ b/images/false-boar.png
Binary files differ
diff --git a/images/true-boar.png b/images/true-boar.png
new file mode 100644
index 0000000..15ad18a
--- /dev/null
+++ b/images/true-boar.png
Binary files differ
diff --git a/publish.el b/publish.el
index bc64d75..397642f 100644
--- a/publish.el
+++ b/publish.el
@@ -54,7 +54,7 @@
:properties:
:rss_permalink: blog/%s
:pubdate: %s
-:author: Jacob Janzen
+:author: jjanzen
:end:\n%s"
title
link
@@ -81,7 +81,7 @@
(defvar jj/html-postamble "\
<footer>\
<aside id='cssa-webring-container' class='cssa-webring-container'></aside>\
- <section class='copyright-notice'>copyright © jjanzen 2024</section>\
+ <section class='copyright-notice'>copyright © jjanzen 2024-2025</section>\
<script src='/scripts/oneko.js'></script>\
</footer>")
@@ -138,7 +138,7 @@
:html-link-org-files-as-html t
:auto-sitemap t
:sitemap-function posts-rss-feed
- :sitemap-title "Jacob Janzen's Blog"
+ :sitemap-title "jjanzen's Blog"
:sitemap-filename "rss.org"
:sitemap-style list
:sitemap-sort-files anti-chronologically